# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget OTBLearningBase OTBSupervised OTBSampling otbapp_ImageClassifier otbapp_TrainVectorClassifier otbapp_ComputeConfusionMatrix otbapp_FusionOfClassifications otbapp_TrainImagesClassifier otbapp_TrainRegression otbapp_TrainVectorRegression otbapp_ImageRegression otbapp_ClassificationMapRegularization otbapp_PolygonClassStatistics otbapp_SampleSelection otbapp_SampleExtraction otbapp_MultiImageSamplingRate otbapp_VectorClassifier otbapp_VectorRegression otbapp_SampleAugmentation otbapp_TrainImagesRegression otbapp_ComputeOGRLayersFeaturesStatistics otbapp_SOMClassification otbapp_KMeansClassification otbapp_OGRLayerClassifier otbapp_ComputeImagesStatistics)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target OTBLearningBase
add_library(OTBLearningBase SHARED IMPORTED)

set_target_properties(OTBLearningBase PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/OTB-9.1"
  INTERFACE_LINK_LIBRARIES "OTBCommon;OTBImageBase;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds"
)

# Create imported target OTBSupervised
add_library(OTBSupervised SHARED IMPORTED)

set_target_properties(OTBSupervised PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/OTB-9.1"
  INTERFACE_LINK_LIBRARIES "OTBCommon;/builds/otb/xdk/lib/libsvm.so;/builds/otb/xdk/lib/libopencv_core.so;/builds/otb/xdk/lib/libopencv_ml.so;/builds/otb/xdk/lib/libshark.so;Boost::serialization;OTBLearningBase"
)

# Create imported target OTBSampling
add_library(OTBSampling SHARED IMPORTED)

set_target_properties(OTBSampling PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/OTB-9.1"
  INTERFACE_LINK_LIBRARIES "OTBCommon;OTBImageManipulation;OTBStatistics"
)

# Create imported target otbapp_ImageClassifier
add_library(otbapp_ImageClassifier MODULE IMPORTED)

set_target_properties(otbapp_ImageClassifier PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_TrainVectorClassifier
add_library(otbapp_TrainVectorClassifier MODULE IMPORTED)

set_target_properties(otbapp_TrainVectorClassifier PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_ComputeConfusionMatrix
add_library(otbapp_ComputeConfusionMatrix MODULE IMPORTED)

set_target_properties(otbapp_ComputeConfusionMatrix PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_FusionOfClassifications
add_library(otbapp_FusionOfClassifications MODULE IMPORTED)

set_target_properties(otbapp_FusionOfClassifications PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_TrainImagesClassifier
add_library(otbapp_TrainImagesClassifier MODULE IMPORTED)

set_target_properties(otbapp_TrainImagesClassifier PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_TrainRegression
add_library(otbapp_TrainRegression MODULE IMPORTED)

set_target_properties(otbapp_TrainRegression PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_TrainVectorRegression
add_library(otbapp_TrainVectorRegression MODULE IMPORTED)

set_target_properties(otbapp_TrainVectorRegression PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_ImageRegression
add_library(otbapp_ImageRegression MODULE IMPORTED)

set_target_properties(otbapp_ImageRegression PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_ClassificationMapRegularization
add_library(otbapp_ClassificationMapRegularization MODULE IMPORTED)

set_target_properties(otbapp_ClassificationMapRegularization PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_PolygonClassStatistics
add_library(otbapp_PolygonClassStatistics MODULE IMPORTED)

set_target_properties(otbapp_PolygonClassStatistics PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_SampleSelection
add_library(otbapp_SampleSelection MODULE IMPORTED)

set_target_properties(otbapp_SampleSelection PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_SampleExtraction
add_library(otbapp_SampleExtraction MODULE IMPORTED)

set_target_properties(otbapp_SampleExtraction PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_MultiImageSamplingRate
add_library(otbapp_MultiImageSamplingRate MODULE IMPORTED)

set_target_properties(otbapp_MultiImageSamplingRate PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_VectorClassifier
add_library(otbapp_VectorClassifier MODULE IMPORTED)

set_target_properties(otbapp_VectorClassifier PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_VectorRegression
add_library(otbapp_VectorRegression MODULE IMPORTED)

set_target_properties(otbapp_VectorRegression PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_SampleAugmentation
add_library(otbapp_SampleAugmentation MODULE IMPORTED)

set_target_properties(otbapp_SampleAugmentation PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_TrainImagesRegression
add_library(otbapp_TrainImagesRegression MODULE IMPORTED)

set_target_properties(otbapp_TrainImagesRegression PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_ComputeOGRLayersFeaturesStatistics
add_library(otbapp_ComputeOGRLayersFeaturesStatistics MODULE IMPORTED)

set_target_properties(otbapp_ComputeOGRLayersFeaturesStatistics PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_SOMClassification
add_library(otbapp_SOMClassification MODULE IMPORTED)

set_target_properties(otbapp_SOMClassification PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_KMeansClassification
add_library(otbapp_KMeansClassification MODULE IMPORTED)

set_target_properties(otbapp_KMeansClassification PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_OGRLayerClassifier
add_library(otbapp_OGRLayerClassifier MODULE IMPORTED)

set_target_properties(otbapp_OGRLayerClassifier PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

# Create imported target otbapp_ComputeImagesStatistics
add_library(otbapp_ComputeImagesStatistics MODULE IMPORTED)

set_target_properties(otbapp_ComputeImagesStatistics PROPERTIES
  INTERFACE_LINK_LIBRARIES "OTBApplicationEngine;Boost::filesystem;Boost::serialization;Boost::unit_test_framework;OTBCommon;ITKCommon;itksys;itkvnl_algo;itkvnl;itkv3p_netlib;itknetlib;itkvcl;ITKStatistics;ITKTransform;itkNetlibSlatec;ITKMesh;ITKQuadEdgeMesh;ITKSpatialObjects;ITKMetaIO;/builds/otb/xdk/lib/libz.so;ITKLabelMap;ITKPath;ITKIOImageBase;ITKOptimizers;ITKBiasCorrection;ITKPolynomials;ITKFFT;ITKOptimizersv4;ITKKLMRegionGrowing;ITKWatersheds;/builds/otb/xdk/lib/libgdal.so;OTBGdalAdapters;OTBIOGDAL;OTBImageBase;OTBVectorDataBase;OTBImageManipulation;OTBTransform;OTBMetadata;OTBStreaming;OTBFuzzy;OTBMathParser;OTBSupervised;/builds/otb/xdk/lib/libtinyxml.so;OTBLearningBase;OTBProjection;OTBSampling;OTBStatistics;/builds/otb/xdk/lib/libshark.so;OTBVectorDataIO"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/LearningTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "OTBCommon" "OTBImageBase" "OTBImageManipulation" "OTBStatistics" "OTBApplicationEngine" "OTBGdalAdapters" "OTBIOGDAL" "OTBVectorDataBase" "OTBTransform" "OTBMetadata" "OTBStreaming" "OTBFuzzy" "OTBMathParser" "OTBProjection" "OTBVectorDataIO" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
